name: Development Builds

on:
  push: # Trigger on every push to the repository
    branches:
      - main # Specify the branch to run on (e.g., "main")

jobs:
  build:
    runs-on: ubuntu-24.04

    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Set up JDK 21
        uses: actions/setup-java@v4.6.0
        with:
          distribution: 'temurin'
          java-version: '21'

      - name: Grant execute permission for gradlew
        run: chmod +x gradlew

      - name: Build with Gradle
        run: ./gradlew build

      - name: Rename build artifact
        run: mv build/libs/*.jar build/libs/nuggetmod-dev.jar

      - name: Upload build artifacts
        uses: actions/upload-artifact@v3
        with:
          name: nuggetmod-dev
          path: build/libs/nuggetmod-dev.jar
